import { ReactNode } from 'react';
import { Breakpoint } from '@material-ui/core/styles/createBreakpoints';
import { ResponsiveProp } from '../modules/toResponsiveProps';
import { AlignYProp } from '../modules/getFlexboxAlignForAlignYProp';
export interface ColumnsProps {
    children: ReactNode;
    reverse?: boolean;
    space?: ResponsiveProp<number>;
    alignY?: ResponsiveProp<AlignYProp>;
    collapseBelow?: Breakpoint;
}
declare const Columns: ({ children, alignY, collapseBelow, space, reverse, }: ColumnsProps) => JSX.Element;
export default Columns;
