import React from 'react';
import Box from './Box';
import { useTheme } from '@material-ui/core/styles';
var Hidden = function (_a) {
    var above = _a.above, below = _a.below, inline = _a.inline, children = _a.children;
    var theme = useTheme();
    var indexOfHideBelowBreakpoint = below
        ? theme.breakpoints.keys.indexOf(below)
        : -1;
    var indexOfHideAboveBreakpoint = above
        ? theme.breakpoints.keys.indexOf(above)
        : theme.breakpoints.keys.length;
    var display = theme.breakpoints.keys.map(function (_key, index) {
        return index <= indexOfHideAboveBreakpoint &&
            index >= indexOfHideBelowBreakpoint
            ? inline
                ? 'inline'
                : 'block'
            : 'none';
    });
    return (React.createElement(Box, { component: inline ? 'span' : 'div', display: display }, children));
};
export default Hidden;
