import { ReactNode } from 'react';
import { Breakpoint } from '@material-ui/core/styles/createBreakpoints';
import { ResponsiveProp } from '../modules/toResponsiveProps';
import { AlignProp } from '../modules/getFlexboxAlignForAlignProp';
import { AlignYProp } from '../modules/getFlexboxAlignForAlignYProp';
export interface InlineProps {
    children: ReactNode;
    space: ResponsiveProp<number>;
    align?: ResponsiveProp<AlignProp>;
    alignY?: ResponsiveProp<AlignYProp>;
    collapseBelow?: Breakpoint;
}
declare const Inline: ({ children, space, align, alignY, collapseBelow, }: InlineProps) => JSX.Element;
export default Inline;
