import React from 'react';
import Box from './Box';
import toResponsiveProps from '../modules/toResponsiveProps';
import flattenChildren from 'react-keyed-flatten-children';
import useNegativeTopMargin from '../modules/useNegativeTopMargin';
var negative = function (positiveNumber) { return -positiveNumber; };
export var Tiles = function (_a) {
    var children = _a.children, space = _a.space, columns = _a.columns;
    var responsivePadding = toResponsiveProps(space || 0);
    var responsiveColumns = toResponsiveProps(columns);
    var classes = useNegativeTopMargin(responsivePadding);
    var marginLeft = responsivePadding.map(negative);
    var flexBasis = responsiveColumns.map(function (columns) { return 100 / columns + '%'; });
    return (React.createElement(Box, { className: classes.root },
        React.createElement(Box, { marginLeft: marginLeft, flexWrap: 'wrap', display: 'flex' }, flattenChildren(children).map(function (child, index) { return (React.createElement(Box, { minWidth: '0%', flexGrow: '0', flexShrink: '0', flexBasis: flexBasis, key: index },
            React.createElement(Box, { height: '100%', paddingTop: space, paddingLeft: space }, child))); }))));
};
export default Tiles;
