var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
import { makeStyles } from '@material-ui/core/styles';
var fromPairs = function (pairs) {
    var obj = {};
    pairs.forEach(function (_a) {
        var _b = __read(_a, 2), key = _b[0], val = _b[1];
        obj[key] = val;
    });
    return obj;
};
var useNegativeTopMargin = makeStyles(function (theme) { return ({
    root: function (responsivePadding) { return (__assign({ paddingTop: 1 }, fromPairs(responsivePadding.map(function (padding, index) { return [
        theme.breakpoints.up(theme.breakpoints.keys[index]),
        {
            '&::before': {
                marginTop: theme.spacing(-padding) - 1,
                content: '""',
                display: 'block',
            },
        },
    ]; })))); },
}); });
export default useNegativeTopMargin;
